from config import PROJECTNAME
from Products.Archetypes.public import *
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.Marshall import RFC822Marshaller

"""
Folder for PayPal Items.  Shows them as a catalog, making a low-budget store for PayPal Shopping Carts.  http://www.zope.org/Members/bowerymarc

"""

def modify_fti(fti):
    # hide unnecessary tabs (usability enhancement)
    for a in fti['actions']:
        if a['id'] in ('references',):
            a['visible'] = 0
    return fti
    


schema = BaseSchema +  Schema((
    TextField('viewcart',
                widget=TextAreaWidget(description='view cart button code from PayPal', rows=8, cols=80,),
                default_output_type='text/html',
                allowable_content_types=('text/html',),
            ),
    ),
    marshall=RFC822Marshaller(),
    )

class PayPalStore(BaseFolder):
    """
Store (Folder) which only holds PayPal Items, displays a kind of store catalog.
    """

    schema = schema
    meta_type = 'FolderLike'
    filter_content_types = 1
    allowed_content_types = ('PayPalItem',)

    content_icon = "cart2_icon.gif"

    actions = ({
        'id': 'view',
        'name': 'View',
        'action': 'string:${object_url}/paypalstore_folder_view',
        'permissions': (CMFCorePermissions.View,)
        },)
    ##
    ## redefine all actions - we need category set to 'category'.
    ## We could probably also modify the fti (factory type information)
    ## using a module method 'modify_fti'
    ##
    ## Also note the extra folder code in Extentions/Install.py
#     actions = (
#                 { 'id': 'view',
#                   'name': 'View',
#                   'action': 'base_view',
#                   'permissions': (CMFCorePermissions.View,),
#                   'category':'folder',
#                   },
# 
#                 { 'id': 'edit',
#                   'name': 'Edit',
#                   'action': 'base_edit',
#                   'permissions': (CMFCorePermissions.ModifyPortalContent,),
#                   'category':'folder',
#                   },
# 
#                 { 'id': 'metadata',
#                   'name': 'Properties',
#                   'action': 'base_metadata',
#                   'permissions': (CMFCorePermissions.ModifyPortalContent,),
#                   'category':'folder',
#                   },
# 
#                 { 'id': 'references',
#                   'name': 'References',
#                   'action': 'reference_edit',
#                   'permissions': (CMFCorePermissions.ModifyPortalContent,),
#                   'category':'folder',
#                   },
#               )

    
registerType(PayPalStore)
