from htmllib import HTMLParser
from formatter import NullFormatter, AbstractFormatter, NullWriter, AbstractWriter



class HTMLFormInputParser(HTMLParser):
    """
Give back a dictionary of every input tag as a dictionary of name:value pairs
    """

    def __init__(self, verbose=0):
        self.formatter = AbstractFormatter(NullWriter())
        HTMLParser.__init__(self, self.formatter, verbose)
        self.input_dict = {}

    def clearDict(self):
        self.input_dict = {}   
            
    def getDict(self):
        return self.input_dict  
    
    def unknown_starttag(self, tag, attrs):
        if tag == 'input':
            n = ''
            v = ''
            for attr in attrs:
                if attr[0] == "name":
                    n = attr[1]
                if attr[0] == "value":
                    v = attr[1]
            if n:
                self.input_dict[n] = v
